OtpSocketTransportFactory (Java-Erlang Interface Library)
Date: 2015-06-23

Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ericsson.otp.erlang
Class OtpSocketTransportFactory

    java.lang.Object
      com.ericsson.otp.erlang.OtpSocketTransportFactory

All Implemented Interfaces:
  OtpTransportFactory

    public class OtpSocketTransportFactory

extends java.lang.Object
implements OtpTransportFactory

Default socket-based transport factory

Constructor Summary
`OtpSocketTransportFactory()`

Method Summary
`OtpServerTransport` | `createServerTransport(int port)` Create instance of `OtpServerTransport`
`OtpTransport` | `createTransport(java.net.InetAddress addr, int port)` Create instance of `OtpTransport`
`OtpTransport` | `createTransport(java.lang.String addr, int port)` Create instance of `OtpTransport`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OtpSocketTransportFactory

    public OtpSocketTransportFactory()

Method Detail

### createTransport

    public OtpTransport createTransport(java.lang.String addr,
                                        int port)
                                 throws java.io.IOException

  Description copied from interface: `OtpTransportFactory`
  Create instance of `OtpTransport`

  Specified by:
    `createTransport` in interface `OtpTransportFactory`
  Parameters:
    `addr` - host name or IP address string
    `port` - port number
  Returns:
    new socket object
  Throws:
    `java.io.IOException`
  See Also:
    `OtpTransportFactory.createTransport(String, int)`

### createTransport

    public OtpTransport createTransport(java.net.InetAddress addr,
                                        int port)
                                 throws java.io.IOException

  Description copied from interface: `OtpTransportFactory`
  Create instance of `OtpTransport`

  Specified by:
    `createTransport` in interface `OtpTransportFactory`
  Parameters:
    `addr` - peer address
    `port` - port number
  Returns:
    new socket object
  Throws:
    `java.io.IOException`
  See Also:
    `OtpTransportFactory.createTransport(InetAddress, int)`

### createServerTransport

    public OtpServerTransport createServerTransport(int port)
                                             throws java.io.IOException

  Description copied from interface: `OtpTransportFactory`
  Create instance of `OtpServerTransport`

  Specified by:
    `createServerTransport` in interface `OtpTransportFactory`
  Parameters:
    `port` - port number to listen on
  Returns:
    new socket object
  Throws:
    `java.io.IOException`
  See Also:
    `OtpTransportFactory.createServerTransport(int)`

Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD